> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search available Twilio numbers

> Searches Twilio for US local phone numbers that can be purchased with /utils/buy-twilio-number.

Returns up to 25 currently-available US local Twilio numbers. Pass `inRegion` to bias the search to a specific state.

```bash theme={null}
curl -X POST "https://eu-gcp-api.vg-stuff.com/v3/utils/twilio/available-numbers" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "inRegion": "CA" }'
```

<Tip>
  Pair this with `/utils/buy-twilio-number` to let users browse-and-buy numbers in your own UI.
</Tip>


## OpenAPI

````yaml POST /utils/twilio/available-numbers
openapi: 3.0.3
info:
  title: Convocore OpenAPI
  description: Full API reference for Convocore
  version: 1.0.4
servers:
  - url: https://eu-gcp-api.vg-stuff.com/v3
    description: EU Node.js API server
  - url: https://na-gcp-api.vg-stuff.com/v3
    description: NA Node.js API server
security: []
paths:
  /utils/twilio/available-numbers:
    post:
      tags:
        - Voices
      summary: Search available Twilio numbers
      description: >-
        Searches Twilio for available US local phone numbers that can be
        purchased. Optionally filter by inRegion (state code, e.g. 'CA').
      operationId: v2Audio-getTwilioNumbers
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspaceId:
                  type: string
                inRegion:
                  type: string
                  description: >-
                    Two-letter state code to filter results by (e.g. 'CA',
                    'NY').
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    number:
                      type: string
                    friendlyName:
                      type: string
                  required:
                    - number
                    - friendlyName
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````